ChangeSet 1.1608.24.21, 2004/02/27 12:53:04-08:00, u233@shaw.ca

[PATCH] USB: kbtab.c (Jamstudio Tablet) with optional pressure

I have altered kbtab.c a bit in anticipation of an XFree86 4.3 driver
that can accept the pressure data (as a third axis) by listening on the
event interface.

I have set it so that if the option kb_pressure_click is -1 it  reports
pressure rather than clicks.


 drivers/usb/input/kbtab.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/input/kbtab.c b/drivers/usb/input/kbtab.c
--- a/drivers/usb/input/kbtab.c	Tue Mar 16 15:05:43 2004
+++ b/drivers/usb/input/kbtab.c	Tue Mar 16 15:05:43 2004
@@ -74,12 +74,15 @@
 
 	input_report_abs(dev, ABS_X, kbtab->x);
 	input_report_abs(dev, ABS_Y, kbtab->y);
-	/*input_report_abs(dev, ABS_PRESSURE, kbtab->pressure);*/
 
 	/*input_report_key(dev, BTN_TOUCH , data[0] & 0x01);*/
 	input_report_key(dev, BTN_RIGHT, data[0] & 0x02);
-	
-	input_report_key(dev, BTN_LEFT, (kbtab->pressure > kb_pressure_click) ? 1 : 0);
+
+	if( -1 == kb_pressure_click){ 
+		input_report_abs(dev, ABS_PRESSURE, kbtab->pressure);
+	} else {
+		input_report_key(dev, BTN_LEFT, (kbtab->pressure > kb_pressure_click) ? 1 : 0);
+	};
 	
 	input_sync(dev);
 
